Bug 868155 - Error on repo sync
Error on repo sync
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
Master
Unspecified Unspecified
high Severity unspecified
: ---
: Sprint 41
Assigned To: Jason Connor
Preethi Thomas
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-19 03:34 EDT by Preethi Thomas
Modified: 2014-03-30 21:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-07 09:12:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2012-10-19 03:34:08 EDT
Description of problem:

With the latest build 332, Repo sync results in an admin client traceback

[root@pulp-master ~]# pulp-admin rpm repo sync run --repo-id scientific
+----------------------------------------------------------------------+
                 Synchronizing Repository [scientific]
+----------------------------------------------------------------------+

An unexpected error has occurred. More information can be found in the client
log file ~/.pulp/admin.log.



2012-10-19 03:26:14,769 - ERROR - Client-side exception occurred
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/pulp/client/extensions/core.py", line 478, in run
    exit_code = Cli.run(self, args)
  File "/usr/lib/python2.7/site-packages/okaara/cli.py", line 933, in run
    exit_code = command_or_section.execute(self.prompt, remaining_args)
  File "/usr/lib/python2.7/site-packages/pulp/client/extensions/extensions.py", line 224, in execute
    return self.method(*arg_list, **clean_kwargs)
  File "/usr/lib/python2.7/site-packages/pulp/client/commands/repo/sync_publish.py", line 82, in run
    existing_sync_tasks = self.context.server.tasks.get_repo_sync_tasks(repo_id).response_body
  File "/usr/lib/python2.7/site-packages/pulp/bindings/tasks.py", line 105, in get_repo_sync_tasks
    return self.get_all_tasks(tags=[repo_tag, sync_tag])
  File "/usr/lib/python2.7/site-packages/pulp/bindings/tasks.py", line 75, in get_all_tasks
    tasks.append(Task(doc))
  File "/usr/lib/python2.7/site-packages/pulp/bindings/responses.py", line 94, in __init__
    self.tags = response_body['tags']
KeyError: 'tags'

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jason Connor 2012-10-19 11:15:34 EDT
Fix pushed to master in aeb23c280f0b31574e21eea89e0f84548a9c937b
Comment 2 Jeff Ortel 2012-10-22 11:51:58 EDT
build: 0.333
Comment 3 Preethi Thomas 2012-10-23 13:57:33 EDT
verified
[root@pulp-master ~]# pulp-admin rpm repo sync  run --repo-id scientific
+----------------------------------------------------------------------+
                 Synchronizing Repository [scientific]
+----------------------------------------------------------------------+

This command may be exited by pressing ctrl+c without affecting the actual
operation on the server.

Downloading metadata...
[/]
... completed

Downloading repository content...
[==================================================] 100%
RPMs:       487/487 items
Delta RPMs: 0/0 items
Tree Files: 0/0 items
Files:      0/0 items
... completed

Importing errata...
[\]
... completed

Importing package groups/categories...
[-]
... completed

Publishing packages...
[==================================================] 100%
Packages: 0/0 items
... completed

Publishing distributions...
[==================================================] 100%
Distributions: 0/0 items
... completed

Generating metadata
[\]
... completed

Publishing repository over HTTPS
[-]
Publishing repository over HTTP
[-]
... skipped
[\]
... completed

[root@pulp-master ~]# rpm -q pulp-rpm-server
pulp-rpm-server-0.0.333-1.fc17.noarch
[root@pulp-master ~]#
Comment 4 Preethi Thomas 2013-01-07 09:12:05 EST
Pulp 2.0 released.

Note You need to log in before you can comment on or make changes to this bug.